Create a new EFT Mandate and Collection based on the created mandate
Field descriptions:
collectionDate: The date on which to action the collection.
serviceType: The service type to use for this collection. Accepted values: ONEDAY, TWODAY, SAMEDAY
profileCode: The profile code to attach to this collection. Ensure that the token (JWT) used for this request has access to this profile code, otherwise you will get a HTTP 400 response ("Profile code does not exist")
externalReference: A unique reference, which can later be queried for the underlying mandate. If this value is not unique you will get a HTTP 400 response ("Mandate with this external reference already exists")
abbreviatedName: The abbreviated name or "short name" that will be used for the mandates and collection.
contractReference: The contract reference used for this collection.
debtor: Debtor (money deducted from) details are set in this object.
creditor: Creditor (money added to) details are set in this object.
releaseDate: The date on which the underlying mandate should be expired.
frequency: The frequency at which collections will occur for this mandate. Accepted values: WEEKLY, MONTHLY or YEARLY.
ultimateCreditor: This is used when you want this collection to be automatically be settled to a separate creditor account, after collection into the ordinary creditor account.
entryClass: Used by the bank to categorise the mandate.
| Accepted values | 21 | Insurance Premium |
22 | Pension Fund Contribution | |
23 | Medical Aid Fund Contribution | |
26 | Unit Trust Purchase | |
28 | Charitable or religious contributions | |
31 | H.P. Repayment | |
32 | Account Repayment | |
33 | Loan Repayment (other than Mortgage) | |
34 | Rental-Lease (other than Property) | |
35 | Service Charge (Maintenance of Service Agreements, etc.) | |
36 | Value Added Tax (Vat collection) | |
37 | Service Charge (Variable Amounts) | |
41 | Rent (Property) | |
42 | Bond Repayment |
amountCents: The amount (in cents) to collect.
currency: The currency to use for this collection. Accepted values: ZAR
verifyAccount: NB: This incurs additional costs. Whether to verify the debtor's account details using the bank's Account Verification Service.
validateAccount: Whether to verify the debtor's account details using a Check Digit Validation Service.
BearerAuthorization<token>JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
X-Forwarded-For?string- body
collectionDate?stringdate-timeserviceType?EFTCollectionServiceType"ONEDAY""TWODAY""SAMEDAY"profileCode?string|nullexternalReference?string|nullabbreviatedName?string|nullcontractReference?string|nulldebtor?creditor?releaseDate?|date-timefrequency?Frequency"MONTHLY""WEEKLY""FORTNIGHTLY""QUARTERLY""BIANNUALLY""ADHOC""YEARLY"ultimateCreditor?entryClass?string|nullamountCents?|int64currency?string|nullverifyAccount?booleanvalidateAccount?booleanCreated
application/json- response
serviceType*EFTCollectionServiceType"ONEDAY""TWODAY""SAMEDAY"originalDebicheckCollectionId?|uuidfinalResultReceivedAt?|date-timecompletionDueDate?|date-timeid?stringuuidreferenceNumber?|length <= 34externalReference?string|nullreconReference?string|nullsubmissionDate?stringdate-timecollectionDate?stringdate-timecycleDate?|date-timeabbreviatedName*string^[a-zA-Z0-9\- ]*$1 <= length <= 10profileCode*string1 <= lengthentryClass*string1 <= lengthcontractReference*string^[a-zA-Z0-9.\-,()%+\$;=@\?\:\~\/]*$1 <= length <= 14state?CollectionState"NEW""QUEUED""SUBMITTED""ACCEPTED""COMPLETED""VALIDATION_FAILURE""TRANSACTION_FAILURE""DISPUTED""UNPAID""UNPAID_WITH_RECOURSE""INTERNAL_FAILURE""CUTOFF"amountCents*integerint640 < valuecurrency*stringZAR1 <= lengthultimateCreditor?sequenceNumber?|int64userGenerationNumber?|int64debtor*creditor*createdAt?stringdate-timeclientId?string|nullstatementId?string|nullsettlementId?string|nullunpaidStatementId?string|nulloriginalCollectionDate?|date-timemandateId?string|nullbulkUploadId?|uuidrecourseSettlementId?|uuidcurl -X POST 'https://www.api.revio.co.za/v2/collection/eft' \ -H 'Content-Type: application/json' \ -d '{}'{ "serviceType": "ONEDAY", "originalDebicheckCollectionId": "7fcde425-3388-4f68-992b-419459c8197d", "finalResultReceivedAt": "2019-08-24T14:15:22Z", "completionDueDate": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "referenceNumber": "string", "externalReference": "string", "reconReference": "string", "submissionDate": "2019-08-24T14:15:22Z", "collectionDate": "2019-08-24T14:15:22Z", "cycleDate": "2019-08-24T14:15:22Z", "abbreviatedName": "string", "profileCode": "string", "entryClass": "string", "contractReference": "string", "state": "NEW", "amountCents": 1, "currency": "string", "ultimateCreditor": { "accountNumber": "string", "accountType": "CURRENT", "branchCode": "string", "name": "string", "bank": "string", "phoneNumber": "string", "emailAddress": "string", "idNumber": "string" }, "sequenceNumber": 0, "userGenerationNumber": 0, "debtor": { "accountNumber": "string", "accountType": "CURRENT", "bank": "string", "branchCode": "string", "firstName": "string", "lastName": "string", "identification": { "emailAddress": "string", "idNumber": "string", "phoneNumber": "string", "passportNumber": "string" } }, "creditor": { "accountNumber": "string", "accountType": "CURRENT", "branchCode": "string", "name": "string", "bank": "string", "phoneNumber": "string", "emailAddress": "string", "idNumber": "string" }, "createdAt": "2019-08-24T14:15:22Z", "clientId": "string", "statementId": "string", "settlementId": "string", "unpaidStatementId": "string", "originalCollectionDate": "2019-08-24T14:15:22Z", "mandateId": "string", "bulkUploadId": "42e0fc60-487e-4aa1-9223-1fd9ecaeff6a", "recourseSettlementId": "135e908a-0af2-4a80-b0e3-b66befc5d4c1"}